Page MenuHomePhabricator

MediaViewer cannot be closed in Microsoft Edge
Closed, ResolvedPublic

Description

In Microsoft Edge (20.10158.0.0), opening MediaViewer works as usual, but closing it via ✖ or esc key only removes image and interface, not the black background. See screenshot (Phabricator's drop-to-upload doesn't work either).

Event Timeline

FDMS created this task.Jun 30 2015, 8:28 PM
FDMS raised the priority of this task from to Needs Triage.
FDMS updated the task description. (Show Details)
FDMS added a project: MediaViewer.
FDMS added a subscriber: FDMS.
Restricted Application added a project: Multimedia. · View Herald TranscriptJun 30 2015, 8:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tgr added a subscriber: Tgr.Jun 30 2015, 8:35 PM

Do you get any JS error?

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 30 2015, 8:35 PM
Tgr added a comment.Jul 2 2015, 2:57 AM

Finding out how many people use Edge is T104531.

brion added a subscriber: brion.Jul 2 2015, 2:58 AM
brion added a comment.Jul 2 2015, 11:25 AM

I get a JS error when I test it in Edge in the current Windows 10 build:

Unspecified error.

in this line:

this.browserHistory.pushState( null, title, hash );

in mmv.bootstrap.js

Happens on live Commons and on a MediaWiki-Vagrant install.

brion added a comment.Jul 2 2015, 11:50 AM

Isolated test case to report to Microsoft: https://brionv.com/misc/edge-pushstate/

Change 222279 had a related patch set uploaded (by Brion VIBBER):
Workaround apparent bug in Edge's history.pushState

https://gerrit.wikimedia.org/r/222279

Change 222279 merged by jenkins-bot:
Workaround apparent bug in Edge's history.pushState

https://gerrit.wikimedia.org/r/222279

Paladox added a subscriber: Paladox.Jul 3 2015, 8:49 PM

Have you tried it on build 10162.

Tgr assigned this task to brion.Jul 3 2015, 8:49 PM

Thanks, Brion! Is there an upstream report?

Have you tried it on build 10162.

Tgr closed this task as Resolved.Jul 3 2015, 8:49 PM
brion added a comment.Jul 3 2015, 9:05 PM

Yeah 10162 still needs the workaround. Will make sure its in their big tracker...

brion added a comment.Jul 3 2015, 9:23 PM

I'm double-checking with dstorey @ microsoft which bug report system I should consider canonical report path; in the meantime I've got a confirmation via tweet that they're taking a look at the bug. :) https://twitter.com/dstorey/status/616699038042198016

A fix for this issue has been accepted into MS Edge and should be included in the Windows 10 release. I’ve verified the fix works on an internal branch, but you probably want to make sure it lands in a public build to verify./close.

A fix for this issue is in MS Edge in the latest public build of Windows 10, build 10240. If you could verify the fix, that would be great.

Change 224969 had a related patch set uploaded (by Brion VIBBER):
Revert no-longer-needed fix for MS Edge browser

https://gerrit.wikimedia.org/r/224969

@Dstoreymsft fix confirmed in Windows 10 build 10240 -- thanks!

Revert of the workaround is in changeset 224969 above, should go through in a few days once merged and gone through the usual release vetting.

Change 224969 merged by jenkins-bot:
Revert no-longer-needed fix for MS Edge browser

https://gerrit.wikimedia.org/r/224969